 
#include <XBee.h>

XBee xbee = XBee();

//Este es el numero de sensor que tienes que cambiar, colocales diferentes numeros ya que si no solo te creara una grafica y no varias
int numerosensor = 2;
//Fin modificacion
int valorh;
int valort;
int temperature;
int humedity;


void setup() {
  pinMode(13,OUTPUT);
  pinMode(10,OUTPUT);
  pinMode(0,INPUT);
  pinMode(2,INPUT);

 xbee.begin(9600);
}
void loop() {
	
	  // escuchamos los valores de temperatura y humedad
      valorh=analogRead(2);
      valort=analogRead(0);
      humedity = (valorh * 100.0)/1024.0;
      temperature = (5.0 * valort * 100.0)/1024.0;
  
	  // construimos el paquete que vamos a enviar, vamos a enviar unas coordenadas que no son reales (son basura) que el programa parserGps las obviara para tener asi el mismo nodo pasarela.
      uint8_t payload[] = { 2, temperature, humedity , 99, 99, 9, 99, 9, 0, 99, 99, 9, 99, 9, 0};

      Tx16Request tx = Tx16Request(0x1234, payload, sizeof(payload));

	  // este paquete sirve para comprobar el envio
      TxStatusResponse txStatus = TxStatusResponse();
   
      xbee.send(tx);
		// envioamos el paquete
          if (xbee.readPacket(5000)) {
        // Miramos si hay respuesta

        // Si ha llegado el paquete  	
    	if (xbee.getResponse().getApiId() == TX_STATUS_RESPONSE) {
    	   xbee.getResponse().getZBTxStatusResponse(txStatus);
    		
    	   // Como ha llegado comprobamos si llego satisfactoriamente
           if (txStatus.getStatus() == SUCCESS) {
           //Encendemos el un led para avisar, de manera visual
                digitalWrite(10,HIGH);
                delay(1000);
                digitalWrite(10,LOW);
                delay(1000);
                digitalWrite(10,HIGH);
                delay(1000);
                digitalWrite(10,LOW);
                delay(1000);   
            	
           } else {
            	//la cosa no va bien
           }
        }      
    } else {
      //la cosa no va bien, pero volvera hasta intentar instalarlo del todo
    }
      digitalWrite(13,HIGH);
      delay(1000);
      digitalWrite(13,LOW);
      delay(1000);
      digitalWrite(13,HIGH);
      delay(1000);
      digitalWrite(13,LOW);
      delay(1000);
}
